Bug 1564846 - Update notice RHBA-YYYY:#### (from rhel-7-server-*-rpms) is broken, or a bad duplicate, skipping.
Summary: Update notice RHBA-YYYY:#### (from rhel-7-server-*-rpms) is broken, or a bad ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng
Version: 7.4
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Rashmi
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-08 08:31 UTC by Phil
Modified: 2021-04-06 20:27 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-29 14:11:27 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Phil 2018-04-08 08:31:37 UTC
Description of problem:

yum shows:
Update notice RHBA-2017:2939 (from rhel-7-server-rpms) is broken, or a bad duplicate, skipping.

Version-Release number of selected component (if applicable):
yum-3.4.3-154.el7.noarch

How reproducible:
always

Steps to Reproduce:
1. subscribe to rhel-7-server-rpms and rhel-7-server-optional-rpms
2. yum updateinfo -v
3. profit.

Actual results:
Update notice RHBA-2017:2939 (from rhel-7-server-rpms) is broken, or a bad duplicate, skipping.

Expected results:
no warning message

Additional info:
removing yum's cache didn't help.

yum updateinfo  -v
Loading "product-id" plugin
Loading "search-disabled-repos" plugin
Loading "subscription-manager" plugin
Updating Subscription Management repositories.
Config time: 4.136
Yum version: 3.4.3
rpmdb time: 0.000
Duplicate of RHBA-2017:2939 differs in some fields:
<<<<<<< rhel-7-server-rpms:updated
'2018-01-31 15:25:38 UTC'
=======
'2018-04-05 08:21:05 UTC'
>>>>>>> rhel-7-server-optional-rpms:updated
Update notice RHBA-2017:2939 (from rhel-7-server-rpms) is broken, or a bad duplicate, skipping.
You should report this problem to the owner of the rhel-7-server-rpms repository.
If you are the owner, consider re-running the same command with --verbose to see the exact data that caused the conflict.
updateinfo time: 6.423
Building updates object
Setting up Package Sacks
pkgsack time: 0.034
up:Obs Init time: 0.877
up:simple updates time: 0.026
up:obs time: 0.007
up:condense time: 0.000
updates time: 2.196
updateinfo summary done

Comment 4 John Francini 2019-04-26 20:14:08 UTC
Is this situation still occurring? The repositories in question have been regenerated in their entirety several times since this bug was originally filed.

Comment 6 Peter Portante 2019-05-31 17:29:08 UTC
Still seeing this error:

[root@perf48 ~]# yum check-update --verbose
.
.
.
Duplicate of RHBA-2019:0862 differs in some fields:
<<<<<<< rhel-7-server-extras-rpms:version
'1'
=======
'2'
>>>>>>> rhel-7-server-extras-debug-rpms:version
Update notice RHBA-2019:0862 (from rhel-7-server-extras-rpms) is broken, or a bad duplicate, skipping.
You should report this problem to the owner of the rhel-7-server-extras-rpms repository.
If you are the owner, consider re-running the same command with --verbose to see the exact data that caused the conflict.
updateinfo time: 8.824

Comment 8 John Francini 2019-06-13 17:43:13 UTC
Peter, still waiting for an answer to my question - is this Stage or Prod?

Comment 9 Peter Portante 2019-06-13 17:59:05 UTC
This was Prod.

It seems it is no longer happening now.

Comment 10 John Francini 2019-06-27 00:22:40 UTC
Closing this. Feel free to re-open it if it recurs.

Comment 11 Peter Portante 2019-09-20 17:10:44 UTC
Reopening, it seems this is happening again, I have hourly reports from yum cron with the same info:

+++
/etc/cron.hourly/0yum-hourly.cron:

Update notice RHBA-2018:2796 (from rhel-7-server-extras-rpms) is broken, or a bad duplicate, skipping.
You should report this problem to the owner of the rhel-7-server-extras-rpms repository.
If you are the owner, consider re-running the same command with --verbose to see the exact data that caused the conflict.
---

Comment 13 Chris Williams 2020-11-11 21:57:36 UTC
Red Hat Enterprise Linux 7 shipped it's final minor release on September 29th, 2020. 7.9 was the last minor releases scheduled for RHEL 7.
From intial triage it does not appear the remaining Bugzillas meet the inclusion criteria for Maintenance Phase 2 and will now be closed. 

From the RHEL life cycle page:
https://access.redhat.com/support/policy/updates/errata#Maintenance_Support_2_Phase
"During Maintenance Support 2 Phase for Red Hat Enterprise Linux version 7,Red Hat defined Critical and Important impact Security Advisories (RHSAs) and selected (at Red Hat discretion) Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available."

If this BZ was closed in error and meets the above criteria please re-open it flag for 7.9.z, provide suitable business and technical justifications, and follow the process for Accelerated Fixes:
https://source.redhat.com/groups/public/pnt-cxno/pnt_customer_experience_and_operations_wiki/support_delivery_accelerated_fix_release_handbook  

Feature Requests can re-opened and moved to RHEL 8 if the desired functionality is not already present in the product. 

Please reach out to the applicable Product Experience Engineer[0] if you have any questions or concerns.  

[0] https://bugzilla.redhat.com/page.cgi?id=agile_component_mapping.html&product=Red+Hat+Enterprise+Linux+7

Comment 14 Peter Portante 2020-12-18 03:26:11 UTC
Happening again on all 28+ machines, every hour.

/etc/cron.hourly/0yum-hourly.cron:

Update notice RHSA-2020:1068 (from rhel-7-server-optional-debug-rpms) is broken, or a bad duplicate, skipping.
You should report this problem to the owner of the rhel-7-server-optional-debug-rpms repository.
If you are the owner, consider re-running the same command with --verbose to see the exact data that caused the conflict.
Update notice RHSA-2020:1068 (from rhel-7-server-optional-rpms) is broken, or a bad duplicate, skipping.
You should report this problem to the owner of the rhel-7-server-optional-rpms repository.
If you are the owner, consider re-running the same command with --verbose to see the exact data that caused the conflict.

Comment 17 Tomas Mlcoch 2021-03-29 08:35:20 UTC
Hi Rashmi, could someone from dist team take a look on this one?

Comment 18 Rashmi 2021-03-29 13:30:47 UTC
https://projects.engineering.redhat.com/browse/RHELDST-5689 -- created ticket.


Note You need to log in before you can comment on or make changes to this bug.